# directoryEntry Struct Reference

`#include <ubixfs.h>`

## Data Fields

uInt16 | attributes
uInt32 | creationDate
char | fileName [256]
uInt32 | gid
uInt32 | lastModified
uInt16 | permissions
uInt32 | size
uInt32 | startCluster
uInt32 | uid

## Detailed Description

Definition at line 103 of file ubixfs.h.

## Field Documentation

uInt16 directoryEntry::attributes

Definition at line 110 of file ubixfs.h.

Referenced by ubixFSmkDir().

uInt32 directoryEntry::creationDate

Definition at line 106 of file ubixfs.h.

char directoryEntry::fileName[256]

Definition at line 112 of file ubixfs.h.

Referenced by ubixfs_findName(), ubixFSmkDir(), ubixFSUnlink(), and writeUbixFS().

uInt32 directoryEntry::gid

Definition at line 109 of file ubixfs.h.

uInt32 directoryEntry::lastModified

Definition at line 107 of file ubixfs.h.

uInt16 directoryEntry::permissions

Definition at line 111 of file ubixfs.h.

Referenced by ubixFSmkDir().

uInt32 directoryEntry::size

Definition at line 105 of file ubixfs.h.

Referenced by ubixFSmkDir(), and writeUbixFS().

uInt32 directoryEntry::startCluster

Definition at line 104 of file ubixfs.h.

Referenced by ubixFSmkDir(), and writeUbixFS().

uInt32 directoryEntry::uid

Definition at line 108 of file ubixfs.h.

The documentation for this struct was generated from the following file:

- src/sys/include/ubixfs/ubixfs.h